<?php
session_start();
include "verifica.php";

if($_SESSION['s_tipo_usuario']!=3) { 
	@$xempresa=$_SESSION['s_empresa'];
}else{	
	@$xempresa=trim($_REQUEST['xempresa']);
}

@$xactivar_ip=trim($_REQUEST['xactivar_ip']);
@$xip=trim($_REQUEST['xip']);
	
@$xtipo_usuario=trim($_REQUEST['xtipo_usuario']);
@$xempleado=trim($_REQUEST['xempleado']);
@$xnombres=trim($_REQUEST['xnombres']);
//@$xclave_2=md5(trim($_REQUEST['xclave']));
@$xclave_2=trim($_REQUEST['xclave']);
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xcompras=$_REQUEST['xcompras'];
if($xcompras!=1){
	$xcompras=0;
}

@$xventas=$_REQUEST['xventas'];
if($xventas!=1){
	$xventas=0;
}

@$xalmacen=$_REQUEST['xalmacen'];
if($xalmacen!=1){
	$xalmacen=0;
}

@$xalmacen_salidas=$_REQUEST['xalmacen_salidas'];
if($xalmacen_salidas!=1){
	$xalmacen_salidas=0;
}

@$xcaja=$_REQUEST['xcaja'];
if($xcaja!=1){
	$xcaja=0;
}

@$xconfiguracion=$_REQUEST['xconfiguracion'];
if($xconfiguracion!=1){
	$xconfiguracion=0;
}

@$xactivar_pagos=$_REQUEST['xactivar_pagos'];
if($xactivar_pagos!=1){
	$xactivar_pagos=0;
}


include "../conexion.php";

$usu = new Usuario;

switch($xaccion){
	
	case "adicionar": 
		if($usu->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Usuario creado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($usu->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Usuario modificado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($usu->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Usuario eliminado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($usu->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Usuario{

	//Adiciona nuevo
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xclave_2, $xcompras, $xventas, $xalmacen, $xcaja, $xconfiguracion, $xusuario_sesion, $xempleado, $xtipo_usuario, $xempresa, $xip, $xactivar_ip, $xalmacen_salidas, $xactivar_pagos;

		$rver = mysqli_query($conexion,"SELECT * FROM usuarios WHERE usu_nombre='$xnombres';");
		if( mysqli_num_rows($rver)){
			?>			
			<script language="javascript">
			alert("Advertencia: El nombre de usuario ya existe.")
			</script>			
			<?php
		}else{
		
			@$xclave_2=md5(trim($_REQUEST['xclave']));

			$r = mysqli_query($conexion,"insert into usuarios (usu_nombre, 
															usu_clave,
															usu_compras,
															usu_ventas,
															usu_almacen,
															usu_caja,
															usu_configuracion,
															usu_usu_crea,
															per_codi_fk,
															usu_tipo,
															emp_codi_fk,
															usu_acceso_ip,
															usu_ip,
															usu_almacen_salidas,
															usu_pago_limitado)
											values ('$xnombres', 
													'$xclave_2',
													$xcompras, 
													$xventas, 
													$xalmacen, 
													$xcaja, 
													$xconfiguracion,
													'$xusuario_sesion',
													$xempleado,
													'$xtipo_usuario',
													'$xempresa',
													'$xactivar_ip',
													'$xip',
													$xalmacen_salidas,
													'$xactivar_pagos');");
		}
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xclave_2, $xcompras, $xventas, $xalmacen, $xcaja, $xconfiguracion, $xusuario_sesion, $xempleado, $xtipo_usuario,$xempresa, $xip, $xactivar_ip, $xalmacen_salidas, $xactivar_pagos;
				
		if(trim($xclave_2)==""){
		
			$r = mysqli_query($conexion,"update usuarios set usu_compras = '$xcompras',
															usu_ventas = '$xventas',
															usu_almacen = '$xalmacen',
															usu_caja = '$xcaja',
															usu_configuracion = '$xconfiguracion',
															usu_usu_modifica = '$xusuario_sesion',
															per_codi_fk = $xempleado,
															usu_tipo = '$xtipo_usuario',
															emp_codi_fk = '$xempresa',
															usu_acceso_ip = '$xactivar_ip',
															usu_ip = '$xip',
															usu_almacen_salidas = '$xalmacen_salidas',
															usu_pago_limitado = '$xactivar_pagos'
											where usu_codi = $xid;");
		
		}else{

			@$xclave_2=md5(trim($_REQUEST['xclave']));

			$r = mysqli_query($conexion,"update usuarios set usu_clave = '$xclave_2',
															usu_compras = '$xcompras',
															usu_ventas = '$xventas',
															usu_almacen = '$xalmacen',
															usu_caja = '$xcaja',
															usu_configuracion = '$xconfiguracion',
															usu_usu_modifica = '$xusuario_sesion',
															per_codi_fk = $xempleado,
															usu_tipo = '$xtipo_usuario',
															emp_codi_fk = '$xempresa',
															usu_acceso_ip = '$xactivar_ip',
															usu_ip = '$xip',
															usu_almacen_salidas = '$xalmacen_salidas',
															usu_pago_limitado = '$xactivar_pagos'																																																				
											where usu_codi = $xid;");
		}
				
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from usuarios where usu_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"update usuarios set usu_estado = '$xestado',
												     usu_usu_activa = '$xusuario_sesion'			
													where usu_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
